# $Revision: 1.24 $, $Date: 2012/01/14 00:56:10 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	RIPEMD160
Summary:	Crypt::RIPEMD160 Perl module - RIPEMD160 message digest algorithm
Summary(pl.UTF-8):	Moduł Perla Crypt::RIPEMD160 - algorytm skrótu RIPEMD160
Name:		perl-Crypt-RIPEMD160
Version:	0.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	08e7ded22a090a6583756df8e1cf1597
Patch0:		%{name}-types.patch
URL:		http://search.cpan.org/dist/Crypt-RIPEMD160/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Crypt::RIPEMD160 module allows you to use the RIPEMD160 Message
Digest algorithm from within Perl programs. RIPEMD-160 is a 160-bit
cryptographic hash function, designed by Hans Dobbertin, Antoon
Bosselaers, and Bart Preneel. It is intended to be used as a secure
replacement for the 128-bit hash functions MD4, MD5, and RIPEMD.

%description -l pl.UTF-8
Moduł Crypt::RIPEMD160 pozwala na używanie algorytmu skrótu RIPEMD160
z poziomu programów w Perlu. RIPEMD-160 jest 160-bitową
kryptograficzną funkcją mieszającą, opracowaną przez Hansa Dobbertina,
Antoona Bosselaersa i Barta Preneela. Ma być bezpiecznym zamiennikiem
128-bitowych funkcji mieszających MD4, MD5 i RIPEMD.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README rmd160/doc/*.html
%{perl_vendorarch}/Crypt/RIPEMD160.pm
%{perl_vendorarch}/Crypt/RIPEMD160
%dir %{perl_vendorarch}/auto/Crypt/RIPEMD160
%{perl_vendorarch}/auto/Crypt/RIPEMD160/autosplit.ix
%{perl_vendorarch}/auto/Crypt/RIPEMD160/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/RIPEMD160/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-RIPEMD160.spec,v $
Revision 1.24  2012/01/14 00:56:10  zbyniu
- up to 0.05

Revision 1.23  2011/10/11 08:11:16  lisu
- rel 10

Revision 1.22  2010/11/12 23:38:25  pawelz
- release 9

Revision 1.21  2010/06/06 08:33:35  arekm
- release 8

Revision 1.20  2009/03/14 11:36:08  hawk
- release 7

Revision 1.19  2008/02/10 12:05:14  arekm
- rel 6

Revision 1.18  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.17  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.15  2004/11/03 22:30:14  paladine
- formatting

Revision 1.14  2004/08/28 20:51:54  qboosh
- added types patch (fix for 64-bit archs)
  unfortunately tests failure doesn't terminate build
- release 5

Revision 1.13  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/07 01:12:25  ankry
- rel. 4

Revision 1.11  2004/05/06 18:09:25  ankry
- fixed perl-devel BR

Revision 1.10  2004/05/05 11:02:11  ankry
- cosmetics

Revision 1.9  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.8  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.7  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/01 18:46:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:44  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:29:38  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/01 21:12:56  ankry
- spec renamed
- adde bcond for "make test"
- release 2

Revision 1.1  2002/07/30 22:07:54  qboosh
- new
